Bug 470694 - Review Request: rubygem-rack - Common API for connecting web frameworks, web servers and layers of software
Review Request: rubygem-rack - Common API for connecting web frameworks, web ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 470696
  Show dependency treegraph
 
Reported: 2008-11-08 18:44 EST by Jeroen van Meeuwen
Modified: 2014-09-05 13:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 06:36:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2008-11-08 18:44:04 EST
Spec URL: http://www.kanarip.com/custom/SPECS/rubygem-rack.spec
SRPM URL: http://www.kanarip.com/custom/f9/SRPMS/rubygem-rack-0.4.0-1.fc9.src.rpm

Description: Rack provides a common API for connecting web frameworks,
web servers and layers of software in between

rpmlint: silent

koji scratch builds:

- dist-f8-updates-candidate: http://koji.fedoraproject.org/koji/taskinfo?taskID=922924
- dist-f9-updates-candidate: http://koji.fedoraproject.org/koji/taskinfo?taskID=922926
- dist-f10-updates-candidate: http://koji.fedoraproject.org/koji/taskinfo?taskID=922928
- dist-f11: http://koji.fedoraproject.org/koji/taskinfo?taskID=922930
Comment 1 Mamoru TASAKA 2008-11-09 09:10:34 EST
For 0.4.0-1

* ruby(abi) dependency
  - Please check
    https://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Packaging_Guidelines

* Unused macro
  - %ruby_sitelib does not to be used anywhere.

* Dependency
  - Please check if all needed Requires are added properly.
    ! For example, lib/rack/handler/mongrel.rb contains
----------------------------------------------------------
     1  require 'mongrel'
     2  require 'stringio'
----------------------------------------------------------
      So this file has "Requires: rubygem(mongrel)".
      However I don't know if this file itself is just optional
      or not.
      Anyway please check if all dependencies are correctly added.

* %gemdir/bin
  - I guess files under %gemdir/bin must be moved into
    %_bindir (ref: rubygem-mongrel.spec)
Comment 2 Jeroen van Meeuwen 2008-11-09 09:28:39 EST
(In reply to comment #1)
> For 0.4.0-1
> 
> * ruby(abi) dependency
>   - Please check
>     https://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Packaging_Guidelines
> 

Stupid /me, I always somehow forget this one. Fixed.

> * Unused macro
>   - %ruby_sitelib does not to be used anywhere.
> 

Fixed.

> * Dependency
>   - Please check if all needed Requires are added properly.
>     ! For example, lib/rack/handler/mongrel.rb contains
> ----------------------------------------------------------
>      1  require 'mongrel'
>      2  require 'stringio'
> ----------------------------------------------------------
>       So this file has "Requires: rubygem(mongrel)".
>       However I don't know if this file itself is just optional
>       or not.
>       Anyway please check if all dependencies are correctly added.
> 

This is entirely optional, it is one of the handlers -rack can cope with (amongst others; fastcgi and webrick)

> * %gemdir/bin
>   - I guess files under %gemdir/bin must be moved into
>     %_bindir (ref: rubygem-mongrel.spec)

Fixed.

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-rack.spec
New SRPM: http://www.kanarip.com/custom/f9/SRPMS/rubygem-rack-0.4.0-2.fc9.src.rpm
Comment 3 Mamoru TASAKA 2008-11-10 02:28:46 EST
Well, 
* In comments and %changelog, please use %% instead of % so that macros
  won't be expanded.
  (Please fix this on Fedora CVS)

Other things are okay.
---------------------------------------------------------------------
      This package (rubygem-rack) is APPROVED by mtasaka
---------------------------------------------------------------------
Comment 4 Mamoru TASAKA 2008-11-20 09:47:55 EST
ping?
Comment 5 Mamoru TASAKA 2008-11-27 03:00:43 EST
ping again?
Comment 6 Jeroen van Meeuwen 2008-11-27 11:37:29 EST
Sorry this one has slipped through the cracks; I've resolved the %% issue now ;-)
Comment 7 Jeroen van Meeuwen 2008-11-27 11:37:48 EST
New Package CVS Request
=======================
Package Name: rubygem-rack
Short Description: Common API for connecting web frameworks, web servers and layers of software
Owners: kanarip
Branches: EL-4 EL-5 F-9 F-10 devel
InitialCC:
Comment 8 Kevin Fenzi 2008-12-01 15:43:54 EST
cvs done.
Comment 9 Mamoru TASAKA 2008-12-07 11:08:27 EST
For F-10/9 please submit push requests on bodhi:
https://admin.fedoraproject.org/updates/
Comment 10 Fedora Update System 2008-12-08 07:40:57 EST
rubygem-rack-0.4.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rubygem-rack-0.4.0-2.fc9
Comment 11 Fedora Update System 2008-12-08 07:42:18 EST
rubygem-rack-0.4.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rubygem-rack-0.4.0-2.fc10
Comment 12 Fedora Update System 2008-12-09 06:36:12 EST
rubygem-rack-0.4.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-12-09 06:37:45 EST
rubygem-rack-0.4.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Steve Traylen 2014-09-05 08:04:22 EDT
Package Change Request
======================
Package Name: rubygem-rack
New Branches: epel7
Owners: stevetraylen
Comment 15 Jon Ciesla 2014-09-05 13:18:37 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.